Subject: Re: LINES environment variable
From: "Ehud Karni" <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Mon, 11 Feb 2002 23:14:06 +0200

On Mon, 11 Feb 2002 19:52:53 -0000, Stephano Mariani <[email-masked]> wrote:
> I am using the windows 2000 command prompt, which does not impose a
> limit (and is set to 80 anyway). Nevertheless, I tried this using rxvt
> and found that the variable was not set (I cant imagine that the
> environment variable was not `picked-up', something must be changing it,
> and I just haven't figured out why). I have tried this under linux and
> all was well, I am convinced that cygwin is involved.
> 
> I have also set the variable as part of the global environment, and
> after a reboot, found that all non-cygwin processes reported the correct
> value, whereas cygwin processes did not.
> 
> I will investigate when I have some more time.

May I point you to 2 paragraphs in the `bash' man page (2.05):

  LINES  Used by the select builtin command to determine the column length for print-
         ing selection lists.  Automatically set upon receipt of a SIGWINCH.

  COLUMNS
         Used  by  the  select  builtin  command to determine the terminal width when
         printing selection lists.  Automatically set upon receipt of a SIGWINCH.
and
   checkwinsize
         If set, bash checks the window size after each command and, if necessary,
         updates the values of LINES and COLUMNS.

So bash is actively updating the `LINES' and `COLUMNS' (only if they
are already in the environment). I hope this clarify the situation.

Ehud.

-- 
 Ehud Karni           Tel: +972-3-7966-561  /"\
 Mivtach - Simon      Fax: +972-3-7966-667  \ /  ASCII Ribbon Campaign
 Insurance agencies   (USA) voice mail and   X   Against   HTML   Mail
 http://www.mvs.co.il  FAX:  1-815-5509341  / \
 mailto:[email-masked]          Better  Safe  Than  Sorry

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/